org.apache.ignite.internal.processors.segmentation

## Interface GridSegmentationProcessor

All Superinterfaces:
  GridComponent, GridProcessor

All Known Implementing Classes:
  GridOsSegmentationProcessor

    public interface GridSegmentationProcessor
    extends GridProcessor

Kernal processor responsible for checking network segmentation issues.

Segment checks are performed by segmentation resolvers Each segmentation resolver checks segment for validity, using its inner logic. Typically, resolver should run light-weight single check (i.e. one IP address or one shared folder). Compound segment checks may be performed using several resolvers.

See Also:
  `IgniteConfiguration.getSegmentationResolvers()`, `IgniteConfiguration.getSegmentationPolicy()`, `IgniteConfiguration.getSegmentCheckFrequency()`, `IgniteConfiguration.isAllSegmentationResolversPassRequired()`, `IgniteConfiguration.isWaitForSegmentOnStart()`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

Methods
`boolean` `isValidSegment()` Performs network segment check.

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode`

### Method Detail

#### isValidSegment

    boolean isValidSegment()

Performs network segment check.

This method is called by discovery manager in the following cases:

1. Before discovery SPI start.
2. When other node leaves topology.
3. When other node in topology fails.
4. Periodically (see `IgniteConfiguration.getSegmentCheckFrequency()`).

Returns:
  `True` if segment is correct.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017